Untitled

mail@pastecode.io avatar
unknown
plain_text
24 days ago
2.3 kB
3
Indexable
Never
[20:42:57] [main/INFO]: Loading 8 mods:

	- fabricloader 0.15.11

	   \-- mixinextras 0.3.5

	- java 21

	- minecraft 1.21

	- viabackwards 5.0.1

	- viafabric 0.4.14+74-main

	   |-- cotton-client-commands 1.1.0+1.15.2

	   |-- org_yaml_snakeyaml 2.2

	   \-- viaversion 5.0.2-SNAPSHOT

[20:42:57] [main/INFO]: SpongePowered MIXIN Subsystem Version=0.8.5 Source=file:/data/libraries/net/fabricmc/sponge-mixin/0.13.3+mixin.0.8.5/sponge-mixin-0.13.3+mixin.0.8.5.jar Service=Knot/Fabric Env=SERVER

[20:43:06] [main/ERROR]: Failed to start the minecraft server

java.lang.RuntimeException: Could not execute entrypoint stage 'main' due to errors, provided by 'viafabric'!

	at net.fabricmc.loader.impl.FabricLoaderImpl.lambda$invokeEntrypoints$2(FabricLoaderImpl.java:388) ~[fabric-loader-0.15.11.jar:?]

	at net.fabricmc.loader.impl.util.ExceptionUtil.gatherExceptions(ExceptionUtil.java:33) ~[fabric-loader-0.15.11.jar:?]

	at net.fabricmc.loader.impl.FabricLoaderImpl.invokeEntrypoints(FabricLoaderImpl.java:386) ~[fabric-loader-0.15.11.jar:?]

	at net.fabricmc.loader.impl.game.minecraft.Hooks.startServer(Hooks.java:63) ~[fabric-loader-0.15.11.jar:?]

	at net.minecraft.server.Main.main(Main.java:111) [server-intermediary.jar:?]

	at net.fabricmc.loader.impl.game.minecraft.MinecraftGameProvider.launch(MinecraftGameProvider.java:470) [fabric-loader-0.15.11.jar:?]

	at net.fabricmc.loader.impl.launch.knot.Knot.launch(Knot.java:74) [fabric-loader-0.15.11.jar:?]

	at net.fabricmc.loader.impl.launch.knot.KnotServer.main(KnotServer.java:23) [fabric-loader-0.15.11.jar:?]

	at net.fabricmc.loader.impl.launch.server.FabricServerLauncher.main(FabricServerLauncher.java:69) [fabric-loader-0.15.11.jar:?]

	at net.fabricmc.installer.ServerLauncher.main(ServerLauncher.java:69) [fabric-server-mc.1.21-loader.0.15.11-launcher.1.0.1.jar:1.0.1]

Caused by: java.lang.IllegalStateException: ViaFabric sub-mod didn't load correctly. Check if required dependencies are installed

	at com.viaversion.fabric.common.ViaFabric.onInitialize(ViaFabric.java:29) ~[ViaFabric-0.4.14+74-main.jar:?]

	at net.fabricmc.loader.impl.FabricLoaderImpl.invokeEntrypoints(FabricLoaderImpl.java:384) ~[fabric-loader-0.15.11.jar:?]

	... 7 more

2024-06-30T20:43:06.448Z	INFO	mc-server-runner	Done
Leave a Comment